例4-1
USE  BookShopDb    --向表插入数据前先选择表所在的数据库，以下从略
GO
  INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,Addr)  
VALUES('001','王琳琳','女',26,'2005-1-24','07313677867','湖南长沙')
GO
INSERT INTO UserInfo                       --插入数据所有列时，可以省略列名,
VALUES('002','张家辉','男',27,'2004-3-5','02034657654','广东广州')
GO

例4-2
INSERT INTO UserInfo(UserID,UserName)    --插入部分列，列名不能省略
VALUES('003','张田田')

例4-4
INSERT INTO UserInfo(UserID,UserName,Sex,Age,hiredate,tele,addr)
VALUES('005','刘铁君','男',33,'2003-10-1','02087659802',default)

例4-5
INSERT INTO Category(CategoryName)  VALUES('计算机基础理论')
INSERT INTO Category(CategoryName)  VALUES('电子商务')
GO 

例4-6
SET IDENTITY_INSERT Category ON   --显式设置允许插入指定值
GO
INSERT INTO Category(CategoryID,CategoryName) VALUES(3,'JAVA')
GO
SET IDENTITY_INSERT Category off
Go

例4-7
INSERT INTO BookInfo(BookID,BookName,Author,ISBN,PublishDate,PublisherID,CategoryID,Price,Content) 
VALUES('B0001','JavaWeb开发技术详解','孙天琴 李成','9787505393929','2006-09-01',1,3,45, '本书详细介绍了最新Tomcat5版本上开发java web应用的各种结束。书中内容注重理论和实践相结合，力举了大量经典案例及开发步骤。')

INSERT INTO BookInfo  
VALUES('B0002','C#开发经验技巧','明日科技','9787115166890','2007-01-12',6,5,85, '本书重点介绍C#开发的一些经验和技巧，书中采用了大量的示例。包括网络开发，数据库开发，系统底层等等。')

